Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001041KdenliveMLTpublic2009-07-13 17:012010-02-02 10:38
Reportertbartdev 
Assigned Toj-b-m 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.7.5 
Target VersionFixed in Version0.7.6 
Summary0001041: kdenlive crashing (at least) when using crop filter
DescriptionSteps to reproduce:
1) Open kdenlive
2) Add a standard SD DV movie to the bin
3) Drag it onto the timeline
4) Apply the crop filter to it
5) Move the play position to somewhere over the clip
6) Increase bottom crop amount in the filter's properties
7) Crash ;->
Additional InformationError is in mlt_frame_rescale_yuv422
Full backtrace attached.
Please advise if anything more is needed.
This is a fulldebug build with Gentoo, modified the ebuild myself to disable stripping.
mlt is 0.4.4
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Filestxt file icon kdenlive_mlt_frame_rescale_yuv422_crash_crop_filter.txt [^] (11,949 bytes) 2009-07-13 17:01 [Show Content]
txt file icon crop_crash_kdenlive.flv.txt [^] (4,815,796 bytes) 2009-07-20 20:33

- Relationships

-  Notes
(0003684)
j-b-m (administrator)
2009-07-19 21:52

Should be fixed for Kdenlive in latest svn revision (3737) - the parameters now have a maximum value depending of the project size (width and height). However, those values should probably be checked in the MLT filter so that we don't end with a crash when setting a too high value.

For example, the crash can be reproduced in melt:

melt myvideo.mpg -attach crop bottom=1500
(0003691)
tbartdev (reporter)
2009-07-20 20:29
edited on: 2009-07-20 20:34

Thanks for this fix!

Yes, this has also been a problem.
However, my initial error report was wrong in that I said you have to use SD DV.
This is not reproducible with SD DV. Sorry!

I initially meant to say take an MP4 or flv video...
I attached a very short flv video (remove the .txt) that still crashes SVN 3741.
Just drag onto the timeline, drag crop filter onto it and increase buttom value by a few pixels (sometimes it already crashes at 1, sometimes a little later).

Workaround: Deactivate Crop filter, adjust value, reactivate filter...

Btw: The movie's thumbnail in the bin is incorrect..

(0003929)
j-b-m (administrator)
2009-09-16 18:23

Issue fixed as confirmed by reporter:
http://kdenlive.org/forum/no-video-thumbnails-svngit-version#comment-4938 [^]

- Issue History
Date Modified Username Field Change
2009-07-13 17:01 tbartdev New Issue
2009-07-13 17:01 tbartdev File Added: kdenlive_mlt_frame_rescale_yuv422_crash_crop_filter.txt
2009-07-13 17:01 tbartdev Build/Install Method => Distribution package
2009-07-19 21:52 j-b-m Note Added: 0003684
2009-07-19 21:52 j-b-m Status new => feedback
2009-07-20 20:29 tbartdev Note Added: 0003691
2009-07-20 20:33 tbartdev File Added: crop_crash_kdenlive.flv.txt
2009-07-20 20:34 tbartdev Note Edited: 0003691 View Revisions
2009-09-16 18:23 j-b-m Note Added: 0003929
2009-09-16 18:23 j-b-m Status feedback => resolved
2009-09-16 18:23 j-b-m Fixed in Version => Recent git
2009-09-16 18:23 j-b-m Resolution open => fixed
2009-09-16 18:23 j-b-m Assigned To => j-b-m
2009-10-08 20:20 j-b-m Fixed in Version Recent git => 0.7.6
2010-02-02 10:35 j-b-m Fixed in Version 0.7.6 => 0.7.7
2010-02-02 10:37 j-b-m Fixed in Version 0.7.7 => 0.7.6
2010-02-02 10:38 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker